/* Clases de Utilidad para Controles */
.check-wrapper {
	display: flex;
	align-items: center;
	min-height: 42px;
	justify-content: flex-start;
}

/* Switch Toggle Moderno */
.switch-toggle {
	position: relative;
	display: inline-block;
	width: 46px;
	height: 24px;
}

.switch-toggle input {
	opacity: 0;
	width: 0;
	height: 0;
}

.slider-round {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: var(--textoOscuro);
	transition: .4s;
	border-radius: 34px;
}

.slider-round:before {
	position: absolute;
	content: "";
	height: 18px;
	width: 18px;
	left: 3px;
	bottom: 3px;
	background-color: var(--textoClaro);
	transition: .4s;
	border-radius: 50%;
}

.switch-toggle input:checked+.slider-round {
	background-color: var(--color2);
}

.switch-toggle input:focus+.slider-round {
	box-shadow: 0 0 1px var(--color2);
}

.switch-toggle input:checked+.slider-round:before {
	transform: translateX(22px);
}